## Overview

This project involves the analysis and breakdown of human motions into distinct sub-motions. Each motion is described using two different set of sub-movement annotations **MCD** and **STMC**.

---

### 1. **Motion ID: 01300**
   **Input Motion**: Boxing with the right hand.
   
   **MCD Sub-motions**:
   - A person throws something with their right hand. ("start": 0, "end": 2)
   - A person throws something with their right hand. ("start": 2, "end": 4.242)

   **STMC Sub-motions**:
   - A person is performing a punch with their right hand. ("start": 0, "end": 3, "body parts": right arm)
   - A person is punching with their right fist. ("start": 3, "end": 6.11, "body parts": right arm)

---

### 2. **Motion ID: 02233**
   **Input Motion**: A human performs a boxing punch.

   **MCD Sub-motions**:
   - A person is performing a punch with their right hand. ("start": 0, "end": 6)
   - A person is punching with their right fist. ("start": 5, "end": 6.11)

   **STMC Sub-motions**:
   - A person is performing a punch with their right hand. ("start": 0, "end": 3, "body parts": right arm)
   - A person is punching with their right fist. ("start": 3, "end": 6.46, "body parts": right arm)

---

### 3. **Motion ID: 007549**
   **Input Motion**: A quarterback will throw a football to another team member in hopes to score a touchdown.

   **MCD Sub-motions**:
   - A person performs a punching motion. ("start": 0, "end": 5)
   - A person is performing a punch with his right hand. ("start": 4, "end": 6.46)

   **STMC Sub-motions**:
   - A person raises their right arm to throw. ("start": 0, "end": 2, "body parts": right arm)
   - A person throws something with their right arm. ("start": 2, "end": 4.242, "body parts": right arm)

---

### 4. **Motion ID: 011324**
   **Input Motion**: Throw a baseball with his right hand.

   **MCD Sub-motions**:
   - A person shifts his weight from his left foot to his right foot as he throws something with his right hand. ("start": 0, "end": 2)
   - A person throws something with his right hand. ("start": 2, "end": 2.71)

   **STMC Sub-motions**:
   - A person raises their right arm to throw something. ("start": 0, "end": 2, "body parts": right arm)
   - A person throws something with their right hand. ("start": 2, "end": 2.71, "body parts": right arm)

---

### 5. **Motion ID: M000766**
   **Input Motion**: A person dances while moving their hips.

   **MCD Sub-motions**:
   - A person is moving their hips repeatedly to the left and right. ("start": 0, "end": 5)
   - A person is standing with arms out moving hips from side to side. ("start": 5, "end": 9.88)

   **STMC Sub-motions**:
   - A person is moving their hips repeatedly to the left and right. ("start": 0, "end": 5, "body parts": spine)
   - A person stands with arms out moving hips from side to side. ("start": 5, "end": 9.88, "body parts": spine)

---

### 6. **Motion ID: M001840**
   **Input Motion**: A person stands left leg forward in a karate pose, leans forward, makes a high karate kick with their right leg, and returns to the karate pose.

   **MCD Sub-motions**:
   - A person stands in a fighting position with both hands raised. ("start": 0, "end": 2)
   - A person kicks aggressively with their right foot. ("start": 0, "end": 2)
   - A person raises their right leg and bends the knee. ("start": 2, "end": 2.758)

   **STMC Sub-motions**:
   - A person steps forward with their left leg. ("start": 0, "end": 2, "body parts": legs)
   - A person kicks with their right leg. ("start": 2, "end": 2.758, "body parts": legs)

---

### 7. **Motion ID: 00766**
   **Input Motion**: a person dances while moving their hips.

   **MCD Sub-motions**:
   - a person is moving their hips repeatedly to the left and right. ("start": 0, "end": 5)
   - a person is standing with arms out moving hips from side to side. ("start":5 "end":9.879999999999999)


   **STMC Sub-motions**:
   - a person is moving their hips repeatedly to the left and right. ("start": 0, "end": 5, "body parts": legs)
   -a person is standing with arms out moving hips from side to side. ("start": 5, "end": 9.87, "body parts": right arm, left arm, spine)

---

### 8. **Motion ID: 003475**
   **Input Motion**: a man is dancing and then jumps and does a spin in the air.

   **MCD Sub-motions**:
   - A man is dancing. ("start": 0, "end": 2)
   - A man jumps while spinning. ("start": 2, "end": 4.2)
   - A man jumps and spins around. ("start": 4.2, "end": 4.6)


   **STMC Sub-motions**:
   - A man is dancing.  ("start": 0, "end": 2, "body parts": legs, spine)
   - A man jumps while spinning.  ("start": 2, "end": 4.1, "body parts": spine, legs)
   - A man spins in the air.  ("start": 4.1, "end": 4.6, "body parts": spine, legs)

---

### 9. **Motion ID: M001151**
   **Input Motion**: Initiate with arms half-raised centered at the chest, spread hands across as if performing a breaststroke, lower the right hand, and draw a circle in the air with the left hand at chest level.
   
   
   **MCD Sub-motions**:
   - A person raises both arms to chest level. ("start": 0, "end": 3, "body parts": spine)
   - A person spreads their arms out to the sides. ("start": 2, "end": 5, "body parts": spine)
   - A person lowers their right hand. ("start": 4, "end": 7, "body parts": spine)
   - A person makes a circular motion with their left hand at chest level. ("start": 6, "end": 10, "body parts": spine)

   - STMC Sub-motions:
   - A person raises both arms halfway. ("start": 0, "end": 2.0, "body parts": right arm, left arm)
   - A person lowers their right arm. ("start": 2.0, "end": 4.0, "body parts": right arm)
   - A person makes a circle with the left arm. ("start": 4.0, "end": 10.0, "body parts": left arm)
